function demo_runge1

% test della interpolazione della funzione di Runge, in nodi equispaziati e
% di Chebyshev.

for n=1:13
    % test di runge, grado "n"
    [ee,ec]=test_runge(n);
    % immagazzinamento dati in "eev", "ecv".
    eev(n)=ee; ecv(n)=ec;
end

% NB: i vettori indici, eev, eec, sono di tipo riga,
%     di uguale lunghezza.

% ---- plot errori runge vs interpolanti ----

% prima figura
figure(1); % prima figura (nodi equi.)
semilogy(1:13,eev,'LineWidth',2);
title('Errori di interpolazione: nodi equispaziati');

% seconda figura
figure(2); % seconda figura
semilogy(1:13,ecv,'LineWidth',2);
title('Errori di interpolazione: nodi GCL');

% ---------- salvataggio risultati su file ----------

% creazione del file con facolta' di scrittura.
fid=fopen('errori_interpolazione.txt','w');
% dati immagazzinati nella matrice A (si immagazzinino come vettori riga,
% e bisogna ricordare che "eev", "ecv" sono riga. 
A=[1:13; eev; ecv];
% scrittura dei dati su file.
fprintf(fid,'\n %3.0f  %1.15e %1.15e',A);
% chiusura file
fclose(fid);