function [ee,ec]=test_runge(n)

% Oggetto:
% Sia "f" la funzione di Runge e con "p^(E)_n", 
% "p^(GCL)_n" le interpolanti polinomiali della 
% funzione di Runge "f" rispettivamente in "n+1" 
% nodi equispaziati e di Gauss-Chebyshev-Lobatto. 
% Si approssimano 
% ee=max_{x in [-5,5]} |f(x)-p^(E)_n(x)|
% ec=max_{x in [-5,5]} |f(x)-p^(GCL)_n(x)|
%
% Input: 
% n: grado delle interpolanti
%
% Output:
% ee: max_{x in [-5,5]} |f(x)-p^(E)_n(x)|
% ec: max_{x in [-5,5]} |f(x)-p^(GCL)_n(x)|

% NODI TEST.
s=-5:1/10000:5;  
% NODI EQSP.: ASCISSE/ORDINATE + INTP.TEST.
x=-5:10/n:5; y=runge(x);   
t=interpol(x,y,s);  
% NODI GCL.: ASCISSE/ORDINATE+INTP.TEST.
xgcl=gcl(-5,5,n+1); ygcl=runge(xgcl);
tt =interpol(xgcl, ygcl,s);  

% calcolo errori
fs=runge(s); % valutazione funzione di Runge, punti test.
ee=max(abs(fs-t)); % nodi equispaziati
ec=max(abs(fs-tt)); % nodi di Gauss-Chebyshev-Lobatto