function esperimento

% oggetto:
% esempio di Runge per grado fissato "n", in nodi equispaziati e di
% Chebyshev-Lobatto.

% grado interpolante.
n=12; 
% nodi test
s=-5:10/1000:5;  

% ---- interpolazione nodi equispaziati ----
x=-5:10/n:5; y=runge(x);   
t=interpol(x,y,s);  

% ---- interpolazione nodi GCL ----
xgcl=gcl(-5,5,n+1); ygcl=runge(xgcl);
tt =interpol(xgcl, ygcl,s);  

% ---- plot runge vs interpolanti ----

% prima figura
fs=runge(s);
clf;
figure(1); % prima figura (nodi equi.)
plot(s,fs,s,t,'LineWidth',2);
hold on;
title('Errori di interpolazione');
legend('funzione runge','intp. nodi eqsp.');
hold off;

% seconda figura
figure(2); % seconda figura (nodi GCL)
plot(s,fs,s,tt,'LineWidth',2);  
hold on;
legend('funzione runge','intp. nodi GCL');
title('Errori di interpolazione');
hold off;

% valutazione errori assoluti
fs=runge(s); % valutazione funzione di Runge, punti test
ee=max(abs(fs-t)); % nodi equispaziati
ec=max(abs(fs-tt));  % nodi GCL
fprintf('\n \t[Errori interpolazione][E]:%1.2e [GCL]:%1.2e',ee,ec);
fprintf('\n \n');